import type { AxiosRequestConfig, AxiosResponse, AxiosRequestTransformer, AxiosResponseTransformer, AxiosError } from 'axios';
import type { RequestTransformers } from '../service';
import type { Reactor, Proxy, Token, CreateReactor, UpdateReactor, CreateProxy, UpdateProxy, Primitive } from '../types/models';
import type { ApplicationInfo, PaginatedList, ProxyRequestOptions, RequestOptions } from '../types/sdk';
declare const assertInit: <T>(prop: T) => NonNullable<T>;
declare const transformRequestSnakeCase: <T, S>(data: T) => S | undefined;
declare const proxyRaw: <T>(data: T) => T | undefined;
declare const transformReactorRequestSnakeCase: (reactor: Reactor | CreateReactor | UpdateReactor) => Reactor | CreateReactor | UpdateReactor | undefined;
declare const transformProxyRequestSnakeCase: (proxy: Proxy | CreateProxy | UpdateProxy) => Proxy | CreateProxy | UpdateProxy | undefined;
type TokenLike<DataType> = Partial<Token<DataType>> & Record<string, unknown>;
declare const transformTokenRequestSnakeCase: <DataType = Primitive>(payload: TokenLike<DataType>) => TokenLike<DataType> | undefined;
declare const transformTokenResponseCamelCase: <DataType = Primitive>(tokenResponse: PaginatedList<Token> | TokenLike<DataType> | undefined) => PaginatedList<Token> | TokenLike<DataType> | undefined;
declare const transformReactorResponseCamelCase: (reactorResponse: Reactor | PaginatedList<Reactor> | undefined) => Reactor | PaginatedList<Reactor> | undefined;
declare const transformProxyResponseCamelCase: (proxyResponse: Proxy | PaginatedList<Proxy> | undefined) => Proxy | PaginatedList<Proxy> | undefined;
declare const transformResponseCamelCase: <T, C>(data: T) => C | undefined;
declare const dataExtractor: <T>(res: AxiosResponse<T, any>) => T;
declare const dataAndHeadersExtractor: <T>(res: AxiosResponse<T, any>) => Pick<AxiosResponse<T, any>, "data" | "headers">;
declare const concatRequestTransformerWithDefault: (requestTransformer: AxiosRequestTransformer | AxiosRequestTransformer[]) => AxiosRequestTransformer | AxiosRequestTransformer[] | undefined;
declare const concatResponseTransformerWithDefault: (responseTransformer: AxiosResponseTransformer | AxiosResponseTransformer[]) => AxiosResponseTransformer | AxiosResponseTransformer[] | undefined;
declare const createRequestConfig: (options?: ProxyRequestOptions | RequestOptions, transformers?: RequestTransformers) => AxiosRequestConfig | undefined;
declare const errorInterceptor: (error: AxiosError) => void;
declare const errorInterceptorDebug: (error: AxiosError) => void;
declare const getQueryParams: <Q>(query?: Q) => string;
declare const buildUserAgentString: (appInfo?: ApplicationInfo) => string;
declare const getBrowser: () => string;
declare const getOSVersion: () => string;
declare const getRuntime: () => string;
declare const buildClientUserAgentString: (appInfo?: ApplicationInfo) => string;
declare const debugTransform: AxiosResponseTransformer;
export { assertInit, transformRequestSnakeCase, proxyRaw, dataAndHeadersExtractor, transformReactorRequestSnakeCase, transformProxyRequestSnakeCase, transformTokenRequestSnakeCase, transformTokenResponseCamelCase, transformReactorResponseCamelCase, transformProxyResponseCamelCase, transformResponseCamelCase, dataExtractor, createRequestConfig, concatRequestTransformerWithDefault, concatResponseTransformerWithDefault, errorInterceptor, getQueryParams, buildUserAgentString, buildClientUserAgentString, getOSVersion, getRuntime, getBrowser, debugTransform, errorInterceptorDebug, };
