import type { PaginatedQuery, Create as ICreate, Retrieve as IRetrieve, Update as IUpdate, Delete as IDelete, List as IList, Patch as IPatch } from '../types/sdk';
import { BasisTheoryService } from './BasisTheoryService';
type BasisTheoryServiceConstructor<T extends BasisTheoryService = BasisTheoryService> = new (...params: any[]) => T;
type ICreateConstructor<T, C> = new (...args: any[]) => ICreate<T, C>;
type IRetrieveConstructor<T> = new (...args: any[]) => IRetrieve<T>;
type IUpdateConstructor<T, U> = new (...args: any[]) => IUpdate<T, U>;
type IPatchConstructor<P> = new (...args: any[]) => IPatch<P>;
type IDeleteConstructor = new (...args: any[]) => IDelete;
type IListConstructor<T, Q extends PaginatedQuery> = new (...args: any[]) => IList<T, Q>;
declare class CrudBuilder<Class extends BasisTheoryServiceConstructor> {
    private BaseService;
    constructor(baseService: Class);
    create<T, C>(): CrudBuilder<Class & ICreateConstructor<T, C>>;
    retrieve<T>(): CrudBuilder<Class & IRetrieveConstructor<T>>;
    update<T, U>(): CrudBuilder<Class & IUpdateConstructor<T, U>>;
    patch<P>(): CrudBuilder<Class & IPatchConstructor<P>>;
    delete(): CrudBuilder<Class & IDeleteConstructor>;
    list<T, Q extends PaginatedQuery>(): CrudBuilder<Class & IListConstructor<T, Q>>;
    build(): Class;
}
export { CrudBuilder };
export type { ICreate, IRetrieve, IUpdate, IPatch, IDelete, IList, BasisTheoryServiceConstructor, };
