import type { Tenant, TenantUsageReport, UpdateTenant, CreateTenantInvitation, TenantInvitation, TenantMember } from '../types/models';
import type { RequestOptions } from '../types/sdk/services';
import type { PaginatedList } from '../types/sdk/services/shared';
import type { ListTenantInvitationsQuery, ListTenantMembersQuery } from '../types/sdk/services/tenants';
export declare const BasisTheoryTenants: {
    new (options: import("../service/types").BasisTheoryServiceOptions): {
        retrieve(options?: RequestOptions): Promise<Tenant>;
        update(model: UpdateTenant, options?: RequestOptions): Promise<Tenant>;
        delete(options?: RequestOptions): Promise<void>;
        retrieveUsageReport(options?: RequestOptions): Promise<TenantUsageReport>;
        createInvitation(model: CreateTenantInvitation, options?: RequestOptions): Promise<TenantInvitation>;
        resendInvitation(invitationId: string, options?: RequestOptions): Promise<TenantInvitation>;
        listInvitations(query?: ListTenantInvitationsQuery, options?: RequestOptions): Promise<PaginatedList<TenantInvitation>>;
        retrieveInvitation(invitationId: string, options?: RequestOptions): Promise<TenantInvitation>;
        deleteInvitation(invitationId: string, options?: RequestOptions): Promise<void>;
        listMembers(query?: ListTenantMembersQuery, options?: RequestOptions): Promise<PaginatedList<TenantMember>>;
        deleteMember(memberId: string, options?: RequestOptions): Promise<void>;
        readonly client: import("axios").AxiosInstance;
    };
};
export type BasisTheoryTenants = InstanceType<typeof BasisTheoryTenants>;
