type CardBrandId = 'american-express' | 'diners-club' | 'discover' | 'elo' | 'hiper' | 'hipercard' | 'jcb' | 'maestro' | 'mastercard' | 'mir' | 'unionpay' | 'visa';
type CardBrandNiceType = 'American Express' | 'Diners Club' | 'Discover' | 'Elo' | 'Hiper' | 'Hipercard' | 'JCB' | 'Maestro' | 'Mastercard' | 'Mir' | 'UnionPay' | 'Visa';
type SecurityCodeLabel = 'CVV' | 'CVC' | 'CID' | 'CVN' | 'CVE' | 'CVP2';
type CreditCardType = {
    code: {
        size: number;
        name: SecurityCodeLabel | string;
    };
    gaps: number[];
    lengths: number[];
    niceType: CardBrandNiceType | string;
    patterns: (number | [number, number])[];
    type: CardBrandId | string;
};
declare const VISA: CreditCardType;
declare const MASTERCARD: CreditCardType;
declare const AMERICAN_EXPRESS: CreditCardType;
declare const DINERS_CLUB: CreditCardType;
declare const DISCOVER: CreditCardType;
declare const JCB: CreditCardType;
declare const UNION_PAY: CreditCardType;
declare const MAESTRO: CreditCardType;
declare const ELO: CreditCardType;
declare const MIR: CreditCardType;
declare const HIPER: CreditCardType;
declare const HIPERCARD: CreditCardType;
declare const DEFAULT_CARD_TYPES: CreditCardType[];
export { AMERICAN_EXPRESS, DEFAULT_CARD_TYPES, DINERS_CLUB, DISCOVER, ELO, HIPER, HIPERCARD, JCB, MAESTRO, MASTERCARD, MIR, UNION_PAY, VISA, };
export type { CreditCardType };
