import type { Properties as CSSProperties } from 'csstype';
declare const SAFE_CSS_PROPERTIES: readonly ["backgroundColor", "color", "fontFamily", "fontSize", "fontSmooth", "fontStyle", "fontVariant", "fontWeight", "lineHeight", "letterSpacing", "textAlign", "padding", "textDecoration", "textShadow", "textTransform"];
type SafeCSSProperty = typeof SAFE_CSS_PROPERTIES[number];
declare const SAFE_CSS_PROPERTIES_ALTERNATES: Partial<Record<SafeCSSProperty, string[]>>;
declare const SAFE_CSS_PROPERTIES_WITH_ALTERNATES: string[];
type SafeStyle = Pick<CSSProperties, SafeCSSProperty>;
declare const CARD_ELEMENT_STYLE_VARIANT_SELECTORS: readonly [":hover", ":focus", ":read-only", "::placeholder", "::selection", ":disabled"];
type CardElementStyleVariantSelector = typeof CARD_ELEMENT_STYLE_VARIANT_SELECTORS[number];
type CardElementStyleVariantStyle = SafeStyle & Partial<Record<CardElementStyleVariantSelector, SafeStyle>>;
declare const CARD_ELEMENT_STYLE_VARIANTS: readonly ["base", "complete", "invalid", "empty"];
declare const CARD_ELEMENT_STYLE_FONTS_ATTR: "fonts";
type CardElementStyleVariant = typeof CARD_ELEMENT_STYLE_VARIANTS[number];
type CardElementStyleFontAttr = typeof CARD_ELEMENT_STYLE_FONTS_ATTR;
type FontSource = string;
type FontSources = FontSource[];
type Fonts = Record<CardElementStyleFontAttr, FontSources>;
type CardElementStyle = Partial<Record<CardElementStyleVariant, CardElementStyleVariantStyle> & Fonts>;
type ElementStyle = CardElementStyle;
type CopyIconStyles = {
    size?: string;
    color?: string;
    successColor?: string;
};
export { SAFE_CSS_PROPERTIES, SAFE_CSS_PROPERTIES_ALTERNATES, SAFE_CSS_PROPERTIES_WITH_ALTERNATES, CARD_ELEMENT_STYLE_VARIANT_SELECTORS, CARD_ELEMENT_STYLE_VARIANTS, CARD_ELEMENT_STYLE_FONTS_ATTR, };
export type { CardElementStyle, CardElementStyleVariant, CardElementStyleVariantSelector, CardElementStyleVariantStyle, CopyIconStyles, ElementStyle, Fonts, FontSources, SafeCSSProperty, SafeStyle, };
