import type { ApplicationType, AccessRule } from './applications';
declare const TEMPLATE_TYPES: readonly ["starters", "payments", "banking", "pii", "management"];
type TemplateType = typeof TEMPLATE_TYPES[number];
interface ApplicationTemplate {
    id: string;
    name: string;
    description: string;
    applicationType: ApplicationType;
    templateType: TemplateType;
    isStarter: boolean;
    permissions?: string[];
    rules?: AccessRule[];
}
export type { TemplateType, ApplicationTemplate };
export { TEMPLATE_TYPES };
